<div class="flex-grow flex-col h-screen">
  <app-top-bar title="Administration - Tris/types de tri"></app-top-bar>
  <div class="flex-grow p-5">
    <input
      type="text"
      class="search"
      placeholder="Rechercher un type de tri... "
      (keyup)="filterData($event)"
    />
    <a mat-mini-fab color="primary" matTooltip="Ajouter un type de tri" routerLink="new">+</a>
    <ngx-datatable class="material" [columnMode]="'force'"
                   [headerHeight]="50"
                   [footerHeight]="50"
                   rowHeight="auto"
                   [limit]="10" [rows]="typeTriListing">
      <ngx-datatable-column prop="typeTriNom" name="Type de tri"></ngx-datatable-column>
      <ngx-datatable-column prop="obsolete" name="Désactivé">
        <ng-template let-row="row" let-value="value" ngx-datatable-cell-template>
          <div *ngIf="row.obsolete; then thenBlock else elseBlock"></div>
          <ng-template #thenBlock>
            <mat-slide-toggle color="warn" disabled checked></mat-slide-toggle>
          </ng-template>
          <ng-template #elseBlock>
            <mat-slide-toggle color="warn" disabled></mat-slide-toggle>
          </ng-template>
        </ng-template>
      </ngx-datatable-column>
      <ngx-datatable-column prop="typeTriId" name="Action" [sortable]="false">
        <ng-template let-row="row" let-value="value" ngx-datatable-cell-template>
          <button mat-raised-button color="primary" [routerLink]="'update/'+row.typeTriId">
            Modifier
          </button>
          <div *ngIf="row.obsolete; then thenBlock else elseBlock"></div>
          <ng-template #thenBlock>
            <button mat-raised-button
                    style="margin: 0.5em;background-color: #00C853; color: white"
                    (click)="changeStatut(false,row.typeTriId)">
              Activer
            </button>
          </ng-template>
          <ng-template #elseBlock>
            <button mat-raised-button color="warn" style="margin: 0.5em;"
                    (click)="changeStatut(true,row.typeTriId)">Désactiver
            </button>
          </ng-template>
        </ng-template>
      </ngx-datatable-column>
    </ngx-datatable>
  </div>
</div>
